Commit d7b64704 authored by Holger Levsen's avatar Holger Levsen

detect version skews in buster and bullseye, but not stretch anymore

Signed-off-by: Holger Levsen's avatarHolger Levsen <holger@layer-acht.org>
parent a6e730e5
......@@ -173,7 +173,7 @@ if [ "$HOSTNAME" = "$MAINNODE" ] ; then
# and we dont know why and when that happens,
# so just report those zombies here.
#
ZOMBIES=$(ls -1d /var/lib/jenkins/jobs/* | egrep 'reproducible_(builder_(amd64|i386|armhf|arm64)|setup_(pbuilder|schroot)_testing)|chroot-installation_wheezy|aptdpkg|odc2a|stretch_install_education-thin-client-server|jessie_multiarch_versionskew|dpkg_stretch_find_trigger_cycles|sid_install_education-services|buster_install_education-services|lvc|chroot-installation_stretch_.*_upgrade_to_sid|piuparts_.*_jessie' || true)
ZOMBIES=$(ls -1d /var/lib/jenkins/jobs/* | egrep 'reproducible_(builder_(amd64|i386|armhf|arm64)|setup_(pbuilder|schroot)_testing)|chroot-installation_wheezy|aptdpkg|odc2a|stretch_install_education-thin-client-server|jessie_multiarch_versionskew|dpkg_stretch_find_trigger_cycles|sid_install_education-services|buster_install_education-services|lvc|chroot-installation_stretch_.*_upgrade_to_sid|piuparts_.*_jessie|udd_stretch' || true)
if [ ! -z "$ZOMBIES" ] ; then
echo "Warning, rise of the jenkins job zombies has started again, these jobs should not exist:"
for z in $ZOMBIES ; do
......
......@@ -35,11 +35,11 @@
- job-template:
defaults: udd
name: '{name}_stretch_multiarch_versionskew'
name: '{name}_buster_multiarch_versionskew'
- job-template:
defaults: udd
name: '{name}_buster_multiarch_versionskew'
name: '{name}_bullseye_multiarch_versionskew'
- job-template:
defaults: udd
......@@ -52,16 +52,16 @@
- project:
name: udd
jobs:
- '{name}_stretch_multiarch_versionskew':
my_time: '1 8 1 * *'
my_params: 'multiarch_versionskew stretch'
my_description: 'Detect multi-arch versions skews in stretch.'
my_logparser: 'true'
- '{name}_buster_multiarch_versionskew':
my_time: '1 8 * * 1'
my_time: '1 8 1 * *'
my_params: 'multiarch_versionskew buster'
my_description: 'Detect multi-arch versions skews in buster.'
my_logparser: 'true'
- '{name}_bullseye_multiarch_versionskew':
my_time: '1 8 * * 1'
my_params: 'multiarch_versionskew bullseye'
my_description: 'Detect multi-arch versions skews in bullseye.'
my_logparser: 'true'
- '{name}_sid_multiarch_versionskew':
my_time: '0 8 * * *'
my_params: 'multiarch_versionskew sid'
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment